---
lang: en
title: 'API docs: context.configbindingkeyfor'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.configbindingkeyfor.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [configBindingKeyFor](./context.configbindingkeyfor.md)

## configBindingKeyFor() function

Create binding key for configuration of the binding

**Signature:**

```typescript
export declare function configBindingKeyFor<ConfigValueType = unknown>(key: BindingAddress, propertyPath?: string): BindingKey<ConfigValueType>;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

key


</td><td>

[BindingAddress](./context.bindingaddress.md)


</td><td>

Binding key for the target binding


</td></tr>
<tr><td>

propertyPath


</td><td>

string


</td><td>

_(Optional)_ Property path for the configuration


</td></tr>
</tbody></table>

**Returns:**

[BindingKey](./context.bindingkey.md)<!-- -->&lt;ConfigValueType&gt;


